diff --git a/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S b/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
index bdc4e186657a..66959f00f029 100644
--- a/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
+++ b/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
@@ -12220,731 +12207,731 @@ __exitcall_ebc_exit:
 	.byte	0x4
 	.byte	0x2c
 	.byte	0xe
-	.4byte	0xdbc
+	.4byte	0xdd1
 	.uleb128 0x22
-	.4byte	.LASF225
+	.4byte	.LASF226
 	.byte	0x2c
 	.byte	0xf
-	.4byte	0x367
+	.4byte	0x37c
 	.uleb128 0x29
-	.4byte	0xd72
+	.4byte	0xd87
 	.byte	0
 	.uleb128 0xd
-	.4byte	.LASF226
+	.4byte	.LASF227
 	.byte	0x8
 	.byte	0x2c
 	.byte	0xd
-	.4byte	0xddb
+	.4byte	0xdf0
 	.uleb128 0x23
-	.4byte	0xda3
+	.4byte	0xdb8
 	.byte	0
 	.uleb128 0xe
-	.4byte	.LASF227
+	.4byte	.LASF228
 	.byte	0x2c
 	.byte	0x1a
-	.4byte	0xd67
+	.4byte	0xd7c
 	.byte	0x4
 	.byte	0
 	.uleb128 0x8
-	.4byte	.LASF228
+	.4byte	.LASF229
 	.byte	0x2c
 	.byte	0x1b
-	.4byte	0xdbc
+	.4byte	0xdd1
 	.uleb128 0x19
-	.4byte	.LASF229
+	.4byte	.LASF230
 	.byte	0x2d
 	.byte	0x11
 	.4byte	0xc6
 	.uleb128 0x19
-	.4byte	.LASF230
+	.4byte	.LASF231
 	.byte	0x2d
 	.byte	0x12
 	.4byte	0xc6
 	.uleb128 0x2a
-	.4byte	.LASF987
+	.4byte	.LASF988
 	.byte	0
 	.byte	0x2d
 	.2byte	0x1b1
 	.uleb128 0xd
-	.4byte	.LASF231
+	.4byte	.LASF232
 	.byte	0x4
 	.byte	0x2e
 	.byte	0x14
-	.4byte	0xe1e
+	.4byte	0xe33
 	.uleb128 0xe
-	.4byte	.LASF232
+	.4byte	.LASF233
 	.byte	0x2e
 	.byte	0x15
-	.4byte	0xd67
+	.4byte	0xd7c
 	.byte	0
 	.byte	0
 	.uleb128 0x8
-	.4byte	.LASF233
+	.4byte	.LASF234
 	.byte	0x2e
 	.byte	0x1d
-	.4byte	0xe05
+	.4byte	0xe1a
 	.uleb128 0x21
 	.byte	0x4
 	.byte	0x2e
 	.byte	0x3e
-	.4byte	0xe3d
+	.4byte	0xe52
 	.uleb128 0x22
-	.4byte	.LASF234
+	.4byte	.LASF235
 	.byte	0x2e
 	.byte	0x3f
-	.4byte	0xe05
+	.4byte	0xe1a
 	.byte	0
 	.uleb128 0xd
-	.4byte	.LASF235
+	.4byte	.LASF236
 	.byte	0x4
 	.byte	0x2e
 	.byte	0x3d
-	.4byte	0xe50
+	.4byte	0xe65
 	.uleb128 0x23
-	.4byte	0xe29
+	.4byte	0xe3e
 	.byte	0
 	.byte	0
 	.uleb128 0x8
-	.4byte	.LASF236
+	.4byte	.LASF237
 	.byte	0x2e
 	.byte	0x49
-	.4byte	0xe3d
+	.4byte	0xe52
 	.uleb128 0xf
 	.byte	0x8
 	.byte	0x2f
 	.byte	0xb
-	.4byte	0xe70
+	.4byte	0xe85
 	.uleb128 0xe
-	.4byte	.LASF232
+	.4byte	.LASF233
 	.byte	0x2f
 	.byte	0xc
-	.4byte	0xddb
+	.4byte	0xdf0
 	.byte	0
 	.byte	0
 	.uleb128 0x8
-	.4byte	.LASF237
+	.4byte	.LASF238
 	.byte	0x2f
 	.byte	0x14
-	.4byte	0xe5b
+	.4byte	0xe70
 	.uleb128 0x19
-	.4byte	.LASF238
+	.4byte	.LASF239
 	.byte	0x30
 	.byte	0x4f
-	.4byte	0x29b
+	.4byte	0x2b0
 	.uleb128 0x21
 	.byte	0x8
 	.byte	0x30
 	.byte	0x66
-	.4byte	0xeb0
+	.4byte	0xec5
 	.uleb128 0x22
-	.4byte	.LASF192
+	.4byte	.LASF193
 	.byte	0x30
 	.byte	0x67
 	.4byte	0x29
 	.uleb128 0x22
-	.4byte	.LASF239
+	.4byte	.LASF240
 	.byte	0x30
 	.byte	0x68
-	.4byte	0xee1
+	.4byte	0xef6
 	.uleb128 0x22
-	.4byte	.LASF63
+	.4byte	.LASF64
 	.byte	0x30
 	.byte	0x69
-	.4byte	0xeec
+	.4byte	0xf01
 	.byte	0
 	.uleb128 0xd
-	.4byte	.LASF240
+	.4byte	.LASF241
 	.byte	0x18
 	.byte	0x31
 	.byte	0x3b
-	.4byte	0xee1
+	.4byte	0xef6
 	.uleb128 0xe
-	.4byte	.LASF241
+	.4byte	.LASF242
 	.byte	0x31
 	.byte	0x3c
-	.4byte	0xf11
+	.4byte	0xf26
 	.byte	0
 	.uleb128 0xe
-	.4byte	.LASF242
+	.4byte	.LASF243
 	.byte	0x31
 	.byte	0x3d
-	.4byte	0xf11
+	.4byte	0xf26
 	.byte	0x8
 	.uleb128 0x20
 	.string	"key"
 	.byte	0x31
 	.byte	0x3e
-	.4byte	0xf11
+	.4byte	0xf26
 	.byte	0x10
 	.byte	0
 	.uleb128 0x7
 	.byte	0x8
-	.4byte	0xeb0
+	.4byte	0xec5
 	.uleb128 0x24
-	.4byte	.LASF244
+	.4byte	.LASF245
 	.uleb128 0x7
 	.byte	0x8
-	.4byte	0xee7
+	.4byte	0xefc
 	.uleb128 0xd
-	.4byte	.LASF245
+	.4byte	.LASF246
 	.byte	0x10
 	.byte	0x30
 	.byte	0x57
-	.4byte	0xf11
+	.4byte	0xf26
 	.uleb128 0xe
-	.4byte	.LASF246
+	.4byte	.LASF247
 	.byte	0x30
 	.byte	0x58
-	.4byte	0x367
+	.4byte	0x37c
 	.byte	0
 	.uleb128 0x23
-	.4byte	0xe86
+	.4byte	0xe9b
 	.byte	0x8
 	.byte	0
 	.uleb128 0x8
-	.4byte	.LASF247
+	.4byte	.LASF248
 	.byte	0x31
 	.byte	0x39
-	.4byte	0x155
+	.4byte	0x15a
 	.uleb128 0x5
-	.4byte	0xeb0
-	.4byte	0xf27
+	.4byte	0xec5
+	.4byte	0xf3c
 	.uleb128 0x18
 	.byte	0
 	.uleb128 0x19
-	.4byte	.LASF248
+	.4byte	.LASF249
 	.byte	0x30
 	.byte	0x92
-	.4byte	0xf1c
+	.4byte	0xf31
 	.uleb128 0x19
-	.4byte	.LASF249
+	.4byte	.LASF250
 	.byte	0x30
 	.byte	0x93
-	.4byte	0xf1c
+	.4byte	0xf31
 	.uleb128 0x1d
-	.4byte	.LASF250
+	.4byte	.LASF251
 	.byte	0x10
 	.byte	0x30
 	.2byte	0x120
-	.4byte	0xf58
+	.4byte	0xf6d
 	.uleb128 0x2b
 	.string	"key"
 	.byte	0x30
 	.2byte	0x121
-	.4byte	0xef2
+	.4byte	0xf07
 	.byte	0
 	.byte	0
 	.uleb128 0x1f
-	.4byte	.LASF251
+	.4byte	.LASF252
 	.byte	0x4
 	.4byte	0x6d
 	.byte	0x32
 	.byte	0x2f
-	.4byte	0xf81
+	.4byte	0xf96
 	.uleb128 0xc
-	.4byte	.LASF252
+	.4byte	.LASF253
 	.byte	0
 	.uleb128 0xc
-	.4byte	.LASF253
+	.4byte	.LASF254
 	.byte	0x1
 	.uleb128 0xc
-	.4byte	.LASF254
+	.4byte	.LASF255
 	.byte	0x2
 	.uleb128 0xc
-	.4byte	.LASF255
+	.4byte	.LASF256
 	.byte	0x3
 	.byte	0
 	.uleb128 0xd
-	.4byte	.LASF256
+	.4byte	.LASF257
 	.byte	0x18
 	.byte	0x32
 	.byte	0x42
-	.4byte	0xfe2
+	.4byte	0xff7
 	.uleb128 0xe
-	.4byte	.LASF257
+	.4byte	.LASF258
 	.byte	0x32
 	.byte	0x43
-	.4byte	0x29b
+	.4byte	0x2b0
 	.byte	0
 	.uleb128 0xe
-	.4byte	.LASF258
+	.4byte	.LASF259
 	.byte	0x32
 	.byte	0x44
-	.4byte	0x29b
+	.4byte	0x2b0
 	.byte	0x1
 	.uleb128 0xe
-	.4byte	.LASF259
+	.4byte	.LASF260
 	.byte	0x32
 	.byte	0x45
-	.4byte	0x29b
+	.4byte	0x2b0
 	.byte	0x2
 	.uleb128 0xe
-	.4byte	.LASF192
+	.4byte	.LASF193
 	.byte	0x32
 	.byte	0x46
-	.4byte	0xf58
+	.4byte	0xf6d
 	.byte	0x4
 	.uleb128 0xe
-	.4byte	.LASF260
+	.4byte	.LASF261
 	.byte	0x32
 	.byte	0x47
-	.4byte	0x10b
+	.4byte	0x110
 	.byte	0x8
 	.uleb128 0xe
-	.4byte	.LASF261
+	.4byte	.LASF262
 	.byte	0x32
 	.byte	0x48
-	.4byte	0x10b
+	.4byte	0x110
 	.byte	0x9
 	.uleb128 0xe
-	.4byte	.LASF262
+	.4byte	.LASF263
 	.byte	0x32
 	.byte	0x49
-	.4byte	0x14a
+	.4byte	0x14f
 	.byte	0x10
 	.byte	0
 	.uleb128 0x3
-	.4byte	0xf81
+	.4byte	0xf96
 	.uleb128 0xd
-	.4byte	.LASF263
+	.4byte	.LASF264
 	.byte	0x30
 	.byte	0x32
 	.byte	0x51
-	.4byte	0x103c
+	.4byte	0x1051
 	.uleb128 0xe
-	.4byte	.LASF264
+	.4byte	.LASF265
 	.byte	0x32
 	.byte	0x52
 	.4byte	0x56
 	.byte	0
 	.uleb128 0xe
-	.4byte	.LASF265
+	.4byte	.LASF266
 	.byte	0x32
 	.byte	0x53
-	.4byte	0x155
+	.4byte	0x15a
 	.byte	0x8
 	.uleb128 0xe
-	.4byte	.LASF266
+	.4byte	.LASF267
 	.byte	0x32
 	.byte	0x54
-	.4byte	0x155
+	.4byte	0x15a
 	.byte	0x10
 	.uleb128 0xe
-	.4byte	.LASF267
+	.4byte	.LASF268
 	.byte	0x32
 	.byte	0x55
-	.4byte	0x155
+	.4byte	0x15a
 	.byte	0x18
 	.uleb128 0xe
-	.4byte	.LASF268
+	.4byte	.LASF269
 	.byte	0x32
 	.byte	0x56
-	.4byte	0x155
+	.4byte	0x15a
 	.byte	0x20
 	.uleb128 0xe
-	.4byte	.LASF269
+	.4byte	.LASF270
 	.byte	0x32
 	.byte	0x57
-	.4byte	0x103c
+	.4byte	0x1051
 	.byte	0x28
 	.byte	0
 	.uleb128 0x7
 	.byte	0x8
-	.4byte	0xfe2
+	.4byte	0xff7
 	.uleb128 0x19
-	.4byte	.LASF270
+	.4byte	.LASF271
 	.byte	0x32
 	.byte	0x5a
-	.4byte	0xfe7
+	.4byte	0xffc
 	.uleb128 0x5
 	.4byte	0x29
-	.4byte	0x105d
+	.4byte	0x1072
 	.uleb128 0x6
 	.4byte	0x4f
 	.byte	0
 	.byte	0
 	.uleb128 0x15
-	.4byte	.LASF271
+	.4byte	.LASF272
 	.byte	0x32
 	.2byte	0x165
-	.4byte	0x104d
+	.4byte	0x1062
 	.uleb128 0x5
-	.4byte	0xf3d
-	.4byte	0x1079
+	.4byte	0xf52
+	.4byte	0x108e
 	.uleb128 0x6
 	.4byte	0x4f
 	.byte	0x3d
 	.byte	0
 	.uleb128 0x15
-	.4byte	.LASF272
+	.4byte	.LASF273
 	.byte	0x32
 	.2byte	0x166
-	.4byte	0x1069
+	.4byte	0x107e
 	.uleb128 0x15
-	.4byte	.LASF273
+	.4byte	.LASF274
 	.byte	0x32
 	.2byte	0x167
-	.4byte	0xf3d
-	.uleb128 0x19
-	.4byte	.LASF274
-	.byte	0x33
-	.byte	0x23
-	.4byte	0x4eb
+	.4byte	0xf52
 	.uleb128 0x19
 	.4byte	.LASF275
 	.byte	0x33
 	.byte	0x23
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF276
 	.byte	0x33
 	.byte	0x23
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF277
 	.byte	0x33
-	.byte	0x24
-	.4byte	0x4eb
+	.byte	0x23
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF278
 	.byte	0x33
 	.byte	0x24
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF279
 	.byte	0x33
 	.byte	0x24
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF280
 	.byte	0x33
-	.byte	0x25
-	.4byte	0x4eb
+	.byte	0x24
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF281
 	.byte	0x33
 	.byte	0x25
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF282
 	.byte	0x33
-	.byte	0x26
-	.4byte	0x4eb
+	.byte	0x25
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF283
 	.byte	0x33
 	.byte	0x26
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF284
 	.byte	0x33
-	.byte	0x27
-	.4byte	0x4eb
+	.byte	0x26
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF285
 	.byte	0x33
 	.byte	0x27
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF286
 	.byte	0x33
-	.byte	0x28
-	.4byte	0x4eb
+	.byte	0x27
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF287
 	.byte	0x33
 	.byte	0x28
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF288
 	.byte	0x33
-	.byte	0x29
-	.4byte	0x4eb
+	.byte	0x28
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF289
 	.byte	0x33
-	.byte	0x2a
-	.4byte	0x4eb
+	.byte	0x29
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF290
 	.byte	0x33
 	.byte	0x2a
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF291
 	.byte	0x33
 	.byte	0x2a
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF292
 	.byte	0x33
-	.byte	0x2b
-	.4byte	0x4eb
+	.byte	0x2a
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF293
 	.byte	0x33
 	.byte	0x2b
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF294
 	.byte	0x33
-	.byte	0x2c
-	.4byte	0x4eb
+	.byte	0x2b
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF295
 	.byte	0x33
 	.byte	0x2c
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF296
 	.byte	0x33
-	.byte	0x2d
-	.4byte	0x4eb
+	.byte	0x2c
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF297
 	.byte	0x33
 	.byte	0x2d
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF298
 	.byte	0x33
-	.byte	0x2e
-	.4byte	0x4eb
+	.byte	0x2d
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF299
 	.byte	0x33
 	.byte	0x2e
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF300
 	.byte	0x33
-	.byte	0x2f
-	.4byte	0x4eb
+	.byte	0x2e
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF301
 	.byte	0x33
 	.byte	0x2f
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF302
 	.byte	0x33
-	.byte	0x30
-	.4byte	0x4eb
+	.byte	0x2f
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF303
 	.byte	0x33
 	.byte	0x30
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF304
 	.byte	0x33
-	.byte	0x33
-	.4byte	0x4eb
+	.byte	0x30
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF305
 	.byte	0x33
 	.byte	0x33
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF306
 	.byte	0x33
-	.byte	0x36
-	.4byte	0x4eb
+	.byte	0x33
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF307
 	.byte	0x33
 	.byte	0x36
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF308
 	.byte	0x33
-	.byte	0x39
-	.4byte	0x4eb
+	.byte	0x36
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF309
 	.byte	0x33
 	.byte	0x39
-	.4byte	0x4eb
-	.uleb128 0x2c
-	.4byte	.LASF311
+	.4byte	0x500
+	.uleb128 0x19
+	.4byte	.LASF310
 	.byte	0x33
-	.byte	0x3b
+	.byte	0x39
+	.4byte	0x500
 	.uleb128 0x2c
 	.4byte	.LASF312
 	.byte	0x33
 	.byte	0x3b
-	.uleb128 0x19
+	.uleb128 0x2c
 	.4byte	.LASF313
-	.byte	0x35
-	.byte	0x15
-	.4byte	0x4eb
+	.byte	0x33
+	.byte	0x3b
 	.uleb128 0x19
 	.4byte	.LASF314
 	.byte	0x35
 	.byte	0x15
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF315
 	.byte	0x35
-	.byte	0x16
-	.4byte	0x4eb
+	.byte	0x15
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF316
 	.byte	0x35
 	.byte	0x16
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF317
 	.byte	0x35
-	.byte	0x17
-	.4byte	0x4eb
+	.byte	0x16
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF318
 	.byte	0x35
 	.byte	0x17
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF319
 	.byte	0x35
-	.byte	0x18
-	.4byte	0x4eb
+	.byte	0x17
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF320
 	.byte	0x35
 	.byte	0x18
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF321
 	.byte	0x35
-	.byte	0x19
-	.4byte	0x4eb
+	.byte	0x18
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF322
 	.byte	0x35
 	.byte	0x19
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF323
 	.byte	0x35
-	.byte	0x1a
-	.4byte	0x4eb
+	.byte	0x19
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF324
 	.byte	0x35
 	.byte	0x1a
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF325
 	.byte	0x35
-	.byte	0x1b
-	.4byte	0x4eb
+	.byte	0x1a
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF326
 	.byte	0x35
 	.byte	0x1b
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF327
 	.byte	0x35
-	.byte	0x1c
-	.4byte	0x4eb
+	.byte	0x1b
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF328
 	.byte	0x35
 	.byte	0x1c
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF329
 	.byte	0x35
-	.byte	0x1e
-	.4byte	0x4eb
+	.byte	0x1c
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF330
 	.byte	0x35
 	.byte	0x1e
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF331
 	.byte	0x35
-	.byte	0x1f
-	.4byte	0x4eb
+	.byte	0x1e
+	.4byte	0x500
 	.uleb128 0x19
 	.4byte	.LASF332
 	.byte	0x35
 	.byte	0x1f
-	.4byte	0x4eb
+	.4byte	0x500
+	.uleb128 0x19
+	.4byte	.LASF333
+	.byte	0x35
+	.byte	0x1f
+	.4byte	0x500
 	.uleb128 0x5
-	.4byte	0x13a
-	.4byte	0x1317
+	.4byte	0x13f
+	.4byte	0x132c
 	.uleb128 0x6
 	.4byte	0x4f
 	.byte	0x1
 	.byte	0
 	.uleb128 0x19
-	.4byte	.LASF333
+	.4byte	.LASF334
 	.byte	0x36
 	.byte	0x4a
-	.4byte	0x1307
+	.4byte	0x131c
 	.uleb128 0x19
-	.4byte	.LASF334
+	.4byte	.LASF335
 	.byte	0x37
 	.byte	0x56
-	.4byte	0x331
+	.4byte	0x346
 	.uleb128 0x26
-	.4byte	.LASF335
+	.4byte	.LASF336
 	.2byte	0x110
 	.byte	0x37
 	.byte	0x59
-	.4byte	0x1377
+	.4byte	0x138c
 	.uleb128 0xe
-	.4byte	.LASF336
+	.4byte	.LASF337
 	.byte	0x37
 	.byte	0x5c
 	.4byte	0xc6
 	.byte	0
 	.uleb128 0xe
-	.4byte	.LASF337
+	.4byte	.LASF338
 	.byte	0x37
 	.byte	0x5e
 	.4byte	0xc6
 	.byte	0x4
 	.uleb128 0xe
-	.4byte	.LASF338
+	.4byte	.LASF339
 	.byte	0x37
 	.byte	0x5f
 	.4byte	0xc6
 	.byte	0x8
 	.uleb128 0xe
-	.4byte	.LASF339
+	.4byte	.LASF340
 	.byte	0x37
 	.byte	0x61
-	.4byte	0x1377
+	.4byte	0x138c
 	.byte	0x10
 	.uleb128 0xe
-	.4byte	.LASF340
+	.4byte	.LASF341
 	.byte	0x37
 	.byte	0x62
-	.4byte	0x1377
+	.4byte	0x138c
 	.byte	0x90
 	.byte	0
 	.uleb128 0x5
-	.4byte	0x1387
-	.4byte	0x1387
+	.4byte	0x139c
+	.4byte	0x139c
 	.uleb128 0x6
 	.4byte	0x4f
 	.byte	0xf
 	.byte	0
 	.uleb128 0x7
 	.byte	0x8
-	.4byte	0x138d
+	.4byte	0x13a2
 	.uleb128 0x24
-	.4byte	.LASF341
-	.uleb128 0xd
 	.4byte	.LASF342
+	.uleb128 0xd
+	.4byte	.LASF343
 	.byte	0x68
 	.byte	0x37
 	.byte	0x66
-	.4byte	0x1438
+	.4byte	0x144d
 	.uleb128 0x20
 	.string	"x19"
 	.byte	0x37
@@ -13028,259 +13015,259 @@ __exitcall_ebc_exit:
 	.2byte	0x220
 	.byte	0x37
 	.byte	0x7e
-	.4byte	0x1466
+	.4byte	0x147b
 	.uleb128 0xe
-	.4byte	.LASF343
+	.4byte	.LASF344
 	.byte	0x37
 	.byte	0x7f
 	.4byte	0x29
 	.byte	0
 	.uleb128 0xe
-	.4byte	.LASF344
+	.4byte	.LASF345
 	.byte	0x37
 	.byte	0x80
 	.4byte	0x29
 	.byte	0x8
 	.uleb128 0xe
-	.4byte	.LASF345
+	.4byte	.LASF346
 	.byte	0x37
 	.byte	0x81
-	.4byte	0xca3
+	.4byte	0xcb8
 	.byte	0x10
 	.byte	0
 	.uleb128 0x26
-	.4byte	.LASF346
+	.4byte	.LASF347
 	.2byte	0x3d0
 	.byte	0x37
 	.byte	0x76
-	.4byte	0x14e6
+	.4byte	0x14fb
 	.uleb128 0xe
-	.4byte	.LASF342
+	.4byte	.LASF343
 	.byte	0x37
 	.byte	0x77
-	.4byte	0x1392
+	.4byte	0x13a7
 	.byte	0
 	.uleb128 0x20
 	.string	"uw"
 	.byte	0x37
 	.byte	0x82
-	.4byte	0x1438
+	.4byte	0x144d
 	.byte	0x70
 	.uleb128 0x27
-	.4byte	.LASF347
+	.4byte	.LASF348
 	.byte	0x37
 	.byte	0x84
 	.4byte	0x6d
 	.2byte	0x290
 	.uleb128 0x27
-	.4byte	.LASF348
+	.4byte	.LASF349
 	.byte	0x37
 	.byte	0x85
-	.4byte	0x443
+	.4byte	0x458
 	.2byte	0x298
 	.uleb128 0x27
-	.4byte	.LASF349
+	.4byte	.LASF350
 	.byte	0x37
 	.byte	0x86
 	.4byte	0x6d
 	.2byte	0x2a0
 	.uleb128 0x27
-	.4byte	.LASF350
+	.4byte	.LASF351
 	.byte	0x37
 	.byte	0x87
 	.4byte	0x6d
 	.2byte	0x2a4
 	.uleb128 0x27
-	.4byte	.LASF351
+	.4byte	.LASF352
 	.byte	0x37
 	.byte	0x88
 	.4byte	0x29
 	.2byte	0x2a8
 	.uleb128 0x27
-	.4byte	.LASF352
+	.4byte	.LASF353
 	.byte	0x37
 	.byte	0x89
 	.4byte	0x29
 	.2byte	0x2b0
 	.uleb128 0x27
-	.4byte	.LASF353
+	.4byte	.LASF354
 	.byte	0x37
 	.byte	0x8a
-	.4byte	0x132d
+	.4byte	0x1342
 	.2byte	0x2b8
 	.byte	0
 	.uleb128 0x15
-	.4byte	.LASF354
+	.4byte	.LASF355
 	.byte	0x37
 	.2byte	0x111
 	.4byte	0x29
 	.uleb128 0x19
-	.4byte	.LASF355
+	.4byte	.LASF356
 	.byte	0x38
 	.byte	0x59
 	.4byte	0xc6
 	.uleb128 0x19
-	.4byte	.LASF356
+	.4byte	.LASF357
 	.byte	0x39
 	.byte	0x30
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0x19
-	.4byte	.LASF357
+	.4byte	.LASF358
 	.byte	0x39
 	.byte	0x30
-	.4byte	0x4eb
+	.4byte	0x500
 	.uleb128 0xd
-	.4byte	.LASF358
+	.4byte	.LASF359
 	.byte	0x28
 	.byte	0x3a
 	.byte	0x1c
-	.4byte	0x1550
+	.4byte	0x1565
 	.uleb128 0xe
-	.4byte	.LASF170
+	.4byte	.LASF171
 	.byte	0x3a
 	.byte	0x1d
 	.4byte	0x6d
 	.byte	0
 	.uleb128 0xe
-	.4byte	.LASF359
+	.4byte	.LASF360
 	.byte	0x3a
 	.byte	0x1e
-	.4byte	0x443
+	.4byte	0x458
 	.byte	0x8
 	.uleb128 0xe
-	.4byte	.LASF70
+	.4byte	.LASF71
 	.byte	0x3a
 	.byte	0x1f
-	.4byte	0x1550
+	.4byte	0x1565
 	.byte	0x10
 	.uleb128 0xe
-	.4byte	.LASF360
+	.4byte	.LASF361
 	.byte	0x3a
 	.byte	0x20
-	.4byte	0x392
+	.4byte	0x3a7
 	.byte	0x18
 	.byte	0
 	.uleb128 0x8
-	.4byte	.LASF361
+	.4byte	.LASF362
 	.byte	0x3a
 	.byte	0x11
-	.4byte	0x155b
+	.4byte	0x1570
 	.uleb128 0x7
 	.byte	0x8
-	.4byte	0x1561
+	.4byte	0x1576
 	.uleb128 0x14
 	.4byte	0xc6
-	.4byte	0x157f
+	.4byte	0x1594
 	.uleb128 0x11
-	.4byte	0x157f
+	.4byte	0x1594
 	.uleb128 0x11
 	.4byte	0x6d
 	.uleb128 0x11
 	.4byte	0xc6
 	.uleb128 0x11
-	.4byte	0x443
+	.4byte	0x458
 	.byte	0
 	.uleb128 0x7
 	.byte	0x8
-	.4byte	0x1513
+	.4byte	0x1528
 	.uleb128 0xd
-	.4byte	.LASF362
+	.4byte	.LASF363
 	.byte	0x18
 	.byte	0x3a
 	.byte	0x23
-	.4byte	0x15aa
+	.4byte	0x15bf
 	.uleb128 0xe
-	.4byte	.LASF115
+	.4byte	.LASF116
 	.byte	0x3a
 	.byte	0x24
-	.4byte	0xe50
+	.4byte	0xe65
 	.byte	0
 	.uleb128 0xe
-	.4byte	.LASF135
+	.4byte	.LASF136
 	.byte	0x3a
 	.byte	0x25
-	.4byte	0x392
+	.4byte	0x3a7
 	.byte	0x8
 	.byte	0
 	.uleb128 0x8
-	.4byte	.LASF363
+	.4byte	.LASF364
 	.byte	0x3a
 	.byte	0x27
-	.4byte	0x1585
+	.4byte	0x159a
 	.uleb128 0xd
-	.4byte	.LASF364
+	.4byte	.LASF365
 	.byte	0x8
 	.byte	0x3b
 	.byte	0x10
-	.4byte	0x15ce
+	.4byte	0x15e3
 	.uleb128 0xe
-	.4byte	.LASF365
+	.4byte	.LASF366
 	.byte	0x3b
 	.byte	0x10
-	.4byte	0x104d
+	.4byte	0x1062
 	.byte	0
 	.byte	0
 	.uleb128 0x3
-	.4byte	0x15b5
+	.4byte	0x15ca
 	.uleb128 0x8
-	.4byte	.LASF366
+	.4byte	.LASF367
 	.byte	0x3b
 	.byte	0x10
-	.4byte	0x15b5
+	.4byte	0x15ca
 	.uleb128 0x19
-	.4byte	.LASF367
+	.4byte	.LASF368
 	.byte	0x3b
 	.byte	0x26
 	.4byte	0x6d
 	.uleb128 0x19
-	.4byte	.LASF368
+	.4byte	.LASF369
 	.byte	0x3b
 	.byte	0x59
-	.4byte	0x15b5
+	.4byte	0x15ca
 	.uleb128 0x19
-	.4byte	.LASF369
+	.4byte	.LASF370
 	.byte	0x3b
 	.byte	0x5a
-	.4byte	0x15b5
+	.4byte	0x15ca
 	.uleb128 0x19
-	.4byte	.LASF370
+	.4byte	.LASF371
 	.byte	0x3b
 	.byte	0x5b
-	.4byte	0x15b5
+	.4byte	0x15ca
 	.uleb128 0x19
-	.4byte	.LASF371
+	.4byte	.LASF372
 	.byte	0x3b
 	.byte	0x5c
-	.4byte	0x15b5
+	.4byte	0x15ca
 	.uleb128 0x13
-	.4byte	.LASF372
+	.4byte	.LASF373
 	.byte	0x3b
 	.2byte	0x2d2
-	.4byte	0x1621
+	.4byte	0x1636
 	.uleb128 0x5
-	.4byte	0x15b5
-	.4byte	0x1631
+	.4byte	0x15ca
+	.4byte	0x1646
 	.uleb128 0x6
 	.4byte	0x4f
 	.byte	0
 	.byte	0
 	.uleb128 0x5
 	.4byte	0x30
-	.4byte	0x1641
+	.4byte	0x1656
 	.uleb128 0x6
 	.4byte	0x4f
 	.byte	0
 	.byte	0
 	.uleb128 0x3
-	.4byte	0x1631
+	.4byte	0x1646
 	.uleb128 0x15
-	.4byte	.LASF373
+	.4byte	.LASF374
 	.byte	0x3b
 	.2byte	0x303
-	.4byte	0x1641
+	.4byte	0x1656
 	.uleb128 0x5
 	.4byte	0x30
-	.4byte	0x1668
+	.4byte	0x167d
 	.uleb128 0x6
 	.4byte	0x4f
 	.byte	0x40
@@ -13289,109 +13276,109 @@ __exitcall_ebc_exit:
 	.byte	0
 	.byte	0
 	.uleb128 0x3
-	.4byte	0x1652
+	.4byte	0x1667
 	.uleb128 0x15
-	.4byte	.LASF374
+	.4byte	.LASF375
 	.byte	0x3b
 	.2byte	0x357
-	.4byte	0x1668
+	.4byte	0x167d
 	.uleb128 0x19
-	.4byte	.LASF375
+	.4byte	.LASF376
 	.byte	0x3c
 	.byte	0x67
 	.4byte	0xc6
 	.uleb128 0xd
-	.4byte	.LASF376
+	.4byte	.LASF377
 	.byte	0x8
 	.byte	0x3d
 	.byte	0x22
-	.4byte	0x169d
+	.4byte	0x16b2
 	.uleb128 0xe
-	.4byte	.LASF66
+	.4byte	.LASF67
 	.byte	0x3d
 	.byte	0x23
-	.4byte	0x16c2
+	.4byte	0x16d7
 	.byte	0
 	.byte	0
 	.uleb128 0xd
-	.4byte	.LASF377
+	.4byte	.LASF378
 	.byte	0x10
 	.byte	0x3d
 	.byte	0x26
-	.4byte	0x16c2
+	.4byte	0x16d7
 	.uleb128 0xe
-	.4byte	.LASF63
+	.4byte	.LASF64
 	.byte	0x3d
 	.byte	0x27
-	.4byte	0x16c2
+	.4byte	0x16d7
 	.byte	0
 	.uleb128 0xe
-	.4byte	.LASF68
+	.4byte	.LASF69
 	.byte	0x3d
 	.byte	0x27
-	.4byte	0x16c8
+	.4byte	0x16dd
 	.byte	0x8
 	.byte	0
 	.uleb128 0x7
 	.byte	0x8
-	.4byte	0x169d
+	.4byte	0x16b2
 	.uleb128 0x7
 	.byte	0x8
-	.4byte	0x16c2
+	.4byte	0x16d7
 	.uleb128 0xd
-	.4byte	.LASF378
+	.4byte	.LASF379
 	.byte	0x4
 	.byte	0x3e
 	.byte	0x30
-	.4byte	0x16e7
+	.4byte	0x16fc
 	.uleb128 0xe
-	.4byte	.LASF379
+	.4byte	.LASF380
 	.byte	0x3e
 	.byte	0x31
 	.4byte	0x6d
 	.byte	0
 	.byte	0
 	.uleb128 0x8
-	.4byte	.LASF380
+	.4byte	.LASF381
 	.byte	0x3e
 	.byte	0x35
-	.4byte	0x16ce
+	.4byte	0x16e3
 	.uleb128 0x2e
 	.byte	0x8
 	.byte	0x3e
 	.2byte	0x19b
-	.4byte	0x1716
+	.4byte	0x172b
 	.uleb128 0x1b
-	.4byte	.LASF378
+	.4byte	.LASF379
 	.byte	0x3e
 	.2byte	0x19c
-	.4byte	0x16ce
+	.4byte	0x16e3
 	.byte	0
 	.uleb128 0x1b
-	.4byte	.LASF115
+	.4byte	.LASF116
 	.byte	0x3e
 	.2byte	0x19d
-	.4byte	0xe50
+	.4byte	0xe65
 	.byte	0x4
 	.byte	0
 	.uleb128 0x13
-	.4byte	.LASF381
+	.4byte	.LASF382
 	.byte	0x3e
 	.2byte	0x19e
-	.4byte	0x16f2
+	.4byte	0x1707
 	.uleb128 0xf
 	.byte	0x8
 	.byte	0x3f
 	.byte	0x1e
-	.4byte	0x1743
+	.4byte	0x1758
 	.uleb128 0xe
-	.4byte	.LASF115
+	.4byte	.LASF116
 	.byte	0x3f
 	.byte	0x1f
-	.4byte	0xe50
+	.4byte	0xe65
 	.byte	0
 	.uleb128 0xe
-	.4byte	.LASF382
+	.4byte	.LASF383
 	.byte	0x3f
 	.byte	0x20
 	.4byte	0xc6
